# -*- coding: utf-8; -*-
"""
Person views
"""

from tailbone.views import people as base
from tailbone_corepos.views import people as corepos_base


class PersonView(corepos_base.PersonView):
    """
    Prevent edit/delete for Chuck Norris
    """

    def editable_instance(self, person):
        return person.uuid != '30d1fe06bcf411e6a7c23ca9f40bc550'

    def deletable_instance(self, person):
        return person.uuid != '30d1fe06bcf411e6a7c23ca9f40bc550'


def includeme(config):

    # autocomplete
    config.add_route('people.autocomplete', '/people/autocomplete')
    config.add_view(base.PeopleAutocomplete, route_name='people.autocomplete',
                    renderer='json', permission='people.list')

    PersonView.defaults(config)
    base.PersonNoteView.defaults(config)
